<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from intprb_muvstepupdate.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="intprb_muvstepupdate" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>intprb_muvstepupdate</refname>
    <refpurpose>Update values for the step-by-step (mean,variance) computation.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [ n , mu , v ] = intprb_muvstepupdate ( n , mu , v , x )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>n :</term>
      <listitem><para> a 1-by-1 matrix of floating point integers, the number of values</para></listitem></varlistentry>
   <varlistentry><term>mu :</term>
      <listitem><para> a 1-by-1 matrix of doubles, the mean</para></listitem></varlistentry>
   <varlistentry><term>v :</term>
      <listitem><para> a 1-by-1 matrix of doubles, the sample variance, as the sum of squares divided by with n-1</para></listitem></varlistentry>
   <varlistentry><term>x :</term>
      <listitem><para> a 1-by-1 matrix of doubles, the new value to be taken into account</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This routine is used in an algorithm which uses the step-by-step
variance computation.
It is designed to be used with intprb_muvstepupdate and intprb_muvstepstop.
During the update, the variable v holds the sum of squares, not
the sample variance.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin - 2010 - DIGITEO</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>Donald E. Knuth (1998). The Art of Computer Programming, volume 2: Seminumerical Algorithms, 3rd edn., p. 232. Boston: Addison-Wesley.</para>
   <para>http://en.wikipedia.org/wiki/Algorithms_for_calculating_variance</para>
</refsection>
</refentry>
